summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgmerge-22
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 15:46:24 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:52 +0200
commit2cfab5247077a1f4a7413635d57e29e073a49f98 (patch)
treeb2d6403422315224d14b9c9056a724116fbdf4d6 /gettext-tools/tests/msgmerge-22
parent97dcd2fc6dcf9085e1a2e392dc81e9e706545f1b (diff)
downloadexternal_gettext-2cfab5247077a1f4a7413635d57e29e073a49f98.zip
external_gettext-2cfab5247077a1f4a7413635d57e29e073a49f98.tar.gz
external_gettext-2cfab5247077a1f4a7413635d57e29e073a49f98.tar.bz2
Move tests/msgmerge-22 to gettext-tools/tests/msgmerge-22.
Diffstat (limited to 'gettext-tools/tests/msgmerge-22')
-rw-r--r--gettext-tools/tests/msgmerge-2260
1 files changed, 60 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgmerge-22 b/gettext-tools/tests/msgmerge-22
new file mode 100644
index 0000000..7c39ec6
--- /dev/null
+++ b/gettext-tools/tests/msgmerge-22
@@ -0,0 +1,60 @@
+#! /bin/sh
+
+# Test pseudo-comments containing filenames that start with a digit.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mm-test22.pot mm-test22.po"
+cat <<\EOF > mm-test22.pot
+msgid ""
+msgstr ""
+"Project-Id-Version: GNU gettext 0.11.5\n"
+"POT-Creation-Date: 2002-08-20 15:24+0200\n"
+"PO-Revision-Date: 2002-12-02 07:05+0100\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: 123.c:134
+#, c-format
+msgid "invalid argument `%s' for `%s'"
+msgstr "ungültiges Argument »%s« für »%s«"
+EOF
+
+cat <<\EOF > mm-test22.po
+#: 123.c:134
+#, c-format
+msgid "invalid argument `%s' for `%s'"
+msgstr ""
+EOF
+
+tmpfiles="$tmpfiles mm-test22.out"
+: ${MSGMERGE=msgmerge}
+${MSGMERGE} -q mm-test22.pot mm-test22.po -o mm-test22.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mm-test22.ok"
+cat <<\EOF > mm-test22.ok
+msgid ""
+msgstr ""
+"Project-Id-Version: GNU gettext 0.11.5\n"
+"POT-Creation-Date: 2002-08-20 15:24+0200\n"
+"PO-Revision-Date: 2002-12-02 07:05+0100\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: 123.c:134
+#, c-format
+msgid "invalid argument `%s' for `%s'"
+msgstr "ungültiges Argument »%s« für »%s«"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mm-test22.ok mm-test22.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result